Failed updating HL6528RD Software


#1

Hi,
I was trying to update the firmware of our devices by AirVantage and I registered to device on our account. I have also connected successfully to the device following the instructions on the website, but when I request the FW upgrade to the last version I got the following error:

Test 2

action [OPENAT_IDS_FW_INSTALL]

reading version

version from device: RHL6528RD.2.1.4.1.11CV10F37.201605061629.m6261a_1

Install failed: no delta nor full binary available for the system [RHL6528RD.2.5.1.11CV10F49_P1.201805031654.m6261a_1,RHL6528RD.2.1.4.1.11CV10F37.201605061629.m6261a_1]

What i sthe meaning of “no delta nor full binary” ?
Thanks
Vito


#2

@vitocaruso,

It means that there is no file that will allow the unit to go directly from the version you have to , I have looked at the model of the 2.5.1 firmware and it only allows you to go from 2.3.10 or 2.4.3 to the 2.5.1 revision of firmware. You might need to perform an intermediate step via 2.3.10 as from what I can tell this does have the binaries to upgrade from 2.1.4.

Regards

Matt


#4

Hi Matt,
thanks for your reply.
What I need to do in Airvantage to upgrade to an intermediate FW version? I have seen that I can upload another FW, but where to get it?

Thanks
Vito


#5

@vitocaruso,

Official firmware and the delta files are uploaded by us, it s not something that customers can easily do. The upload facility is really for Legato applications and full packages on the WP series.

To go to an intermediate version just hit the upgrade button as before, then go advanced and selected the version you want to go to from the drop down box, in this case I recommend trying 2.3.10.

Regards

Matt


#6

Hi Matt,
I have tried what you write, but the available versione in the list of the drop down box are 2.1.4 and 2.5.1 only! Could you upload the intermediate version?
Thanks
Vito


#7

@vitocaruso,

It is not within my remit/capability/responsibility to add official versions of firmware to the server.

I have added a HL6RD onto my account (with 2.1.4 firmware on it) and tried to perform the upgrade as it did offer me all of the firmware versions. I failed with the no binary present issue on all of them

You will need to push this back to your commercial channel to have an official ticket raised for the firmware and platform teams to have a look at it but from what I can see it is nothing you are doing.

Regards

Matt